Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class AdaBoostM2Trainer

    java.lang.Object
      cc.mallet.classify.ClassifierTrainer<AdaBoostM2>
          cc.mallet.classify.AdaBoostM2Trainer

    public class AdaBoostM2Trainer

extends ClassifierTrainer<AdaBoostM2>

This version of AdaBoost can handle multi-class problems. For binary classification, can also use `AdaBoostTrainer`.

Yoav Freund and Robert E. Schapire "Experiments with a New Boosting Algorithm" In Journal of Machine Learning: Proceedings of the 13th International Conference, 1996 http://www.cs.princeton.edu/~schapire/papers/FreundSc96b.ps.Z

Author:
  Gary Huang ghuang@cs.umass.edu

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.classify.ClassifierTrainer
`ClassifierTrainer.ByActiveLearning<C extends Classifier>, ClassifierTrainer.ByIncrements<C extends Classifier>, ClassifierTrainer.ByInstanceIncrements<C extends Classifier>, ClassifierTrainer.ByOptimization<C extends Classifier>, ClassifierTrainer.Factory<CT extends ClassifierTrainer<? extends Classifier>>`

Field Summary

Fields inherited from class cc.mallet.classify.ClassifierTrainer
`finishedTraining, validationSet`

Constructor Summary
`AdaBoostM2Trainer(ClassifierTrainer weakLearner)`
`AdaBoostM2Trainer(ClassifierTrainer weakLearner, int numRounds)`

Method Summary
`AdaBoostM2` | `getClassifier()`
`AdaBoostM2` | `train(InstanceList trainingList)` Boosting method that resamples instances using their weights

Methods inherited from class cc.mallet.classify.ClassifierTrainer
`getValidationInstances, isFinishedTraining, setValidationInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaBoostM2Trainer

    public AdaBoostM2Trainer(ClassifierTrainer weakLearner,
                             int numRounds)

### AdaBoostM2Trainer

    public AdaBoostM2Trainer(ClassifierTrainer weakLearner)

Method Detail

### getClassifier

    public AdaBoostM2 getClassifier()

  Specified by:
    `getClassifier` in class `ClassifierTrainer<AdaBoostM2>`

### train

    public AdaBoostM2 train(InstanceList trainingList)

  Boosting method that resamples instances using their weights

  Specified by:
    `train` in class `ClassifierTrainer<AdaBoostM2>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD